import { OnDestroy } from "@angular/core";
import { Activity } from "@colijnit/mainapi/build/model/activity.bo";
import { ActivityListViewModel } from "@colijnit/mainapi/build/model/activity-list-view-model";
export declare abstract class BaseActivityListComponent implements OnDestroy {
    protected reloadTimer: number;
    handleOpenLinkSidebar: boolean;
    set activities(value: Activity[]);
    get activities(): Activity[];
    set delegatedActivities(value: Activity[]);
    get delegatedActivities(): Activity[];
    filterFrom: Date;
    filterTo: Date;
    searchText: string;
    filteredActivities: Activity[];
    filteredDelegatedActivities: Activity[];
    privateActivityListViewModels: ActivityListViewModel[];
    privateDelegatedActivityListViewModels: ActivityListViewModel[];
    filteredActivityListViewModels: ActivityListViewModel[];
    filteredDelegatedActivityListViewModels: ActivityListViewModel[];
    private _showUsergroupActivities;
    get showUsergroupActivities(): boolean;
    set showUsergroupActivities(value: boolean);
    private _activities;
    private _delegatedActivities;
    private _updateInterval;
    constructor();
    ngOnDestroy(): void;
    abstract getActivities(): any;
    abstract getDelegatedActivities(): any;
    reset(): void;
    applyFilter(): void;
    protected afterFilterApplied(): void;
    protected getTheActivities(): void;
    private _removeNotShowing;
    protected updatePrivateListsWithFilteredLists(): void;
    private _applyFilter;
    private _searchText;
    private _updatePrivateListWithFilteredList;
    private _refreshActivities;
    private _prepareViewModels;
    private _setAmountListViewModels;
    private _sortByPosition;
    private _addToActivityListViewModel;
    private _getActivityViewModel;
    private _getActivityListViewModel;
    private _startInterval;
    private _updateViewModelContent;
}
